# generated by cabal-rpm-0.12
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name cheapskate
%global pkgver %{pkg_name}-%{version}

Name:           ghc-%{pkg_name}
Version:        0.1.1
Release:        1%{?dist}
Summary:        Experimental markdown processor

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  chrpath
BuildRequires:  ghc-blaze-html-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-syb-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-uniplate-devel
BuildRequires:  ghc-xss-sanitize-devel
# End cabal-rpm deps

%description
This is an experimental Markdown processor in pure Haskell. It aims to process
Markdown efficiently and in the most forgiving possible way. It is designed to
deal with any input, including garbage, with linear performance.
Output is sanitized by default for protection against XSS attacks.

Several markdown extensions are implemented, including fenced code blocks,
significant list start numbers, and autolinked URLs. See README.markdown for
details.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-doc = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkgver}


%build
%ghc_lib_build


%install
%ghc_lib_install
%ghc_fix_rpath %{pkgver}


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license LICENSE


%files devel -f %{name}-devel.files
%doc README.markdown changelog
%{_bindir}/%{pkg_name}


%changelog
* Tue Jan  9 2018 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.1.1-1
- spec file generated by cabal-rpm-0.12
